Users
List company users
Retrieve the list of users belonging to the company associated with the authenticated API key.
GET
/
users
List company users
curl --request GET \
--url https://api.sevalla.com/v3/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sevalla.com/v3/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sevalla.com/v3/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
"email": "user@example.com",
"image": "https://avatars.githubusercontent.com/u/12345",
"full_name": "John Doe"
}
]
}{
"message": "Unauthorized",
"status": 401,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}{
"message": "Forbidden",
"status": 403,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}{
"message": "Internal Server Error",
"status": 500,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}Was this page helpful?
Previous
List clustersRetrieve all available clusters (data center locations) where applications and databases can be deployed. This is reference data and does not require specific resource permissions.
Next
⌘I
List company users
